{VERSION 1 1 "MS-Windows" "1.0"}{GLOBALS 1 2}{FONT 0 "Arial" "Ari
al" "Helvetica" 4 11 0 "Helvetica" 11{COLOR "ffffff"}}{FONT 1 "Ti
mes New Roman" "Times New Roman" "Times-Roman" 4 12 64 "Times-Rom
an" 12{COLOR "00ff00"}}{FONT 2 "Courier New" "Courier New" "Couri
er" 4 11 192 "Courier" 11{COLOR "ffff00"}}{SCP_R 0 0 11{SCP_R 1 0
 11{COM_R 3 0{TEXT 1 252 "This Maple worksheet demonstrates the u
se and capabilities of Scheme, a schematic entry and drawing tool
. Together with Syrup it can be used to quickly enter, draw, and \+
analyze electric circuits.  This worksheet assumes that you are f
amilar with Syrup."}}{COM_R 6 0{TEXT 1 0 ""}}{COM_R 9 0{TEXT 1 76
 "_______________________________________________________________
_____________"}}{COM_R 12 0{TEXT 1 14 "Initialization"}}{COM_R 15
 0{TEXT 1 0 ""}}{COM_R 18 0{TEXT 1 179 "Scheme and Syrup must be \+
loaded into Maple. The method for doing so depends on how and whe
re the appropriate files are stored. The following lines are how \+
I load the two packages."}}{COM_R 21 0{TEXT 1 0 ""}}{INP_R 24 0 "
> "{TEXT 0 8 "restart;"}}{INP_R 27 0 "> "{TEXT 0 15 "readlib(syru
p):"}}{INP_R 30 0 "> "{TEXT 0 16 "read `scheme.m`;"}}{OUT_R 33 0 
30{TEXT 2 1 "\012"}}}{SCP_R 35 0 7{COM_R 37 0{TEXT 1 76 "________
_________________________________________________________________
___"}}{COM_R 40 0{TEXT 1 12 "Introduction"}}{COM_R 43 0{TEXT 1 0 
""}}{COM_R 46 0{TEXT 1 442 "Scheme uses ladder networks to descri
be electric circuits; ladder networks consist of alternating hori
zontal and vertical elements, the horizontal elements are connect
ed in a series string while the vertical elements are connected b
etween the horizontal elements and ground. Ladder networks are re
presented as lists, the first element in a list is a vertical ele
ment. The following example is a resistor divider described as a \+
ladder network."}}{COM_R 49 0{TEXT 1 0 ""}}{INP_R 52 0 "> "{TEXT 
0 16 "draw([V,R1,R2]);"}}{OUT_R 55 0 52{TEXT 2 1 "\012"}}}{SCP_R 
57 0 7{COM_R 59 0{TEXT 1 76 "____________________________________
________________________________________"}}{COM_R 62 0{TEXT 1 20 
"Combination Elements"}}{COM_R 65 0{TEXT 1 0 ""}}{COM_R 68 0{TEXT
 1 304 "Scheme provides two operators, `&+` and `&//`, for formin
g series and parallel combinations of elements, respectively. The
y may be used in either infix or functional notation. The followi
ng example is a damped LC filter formed by a series combination o
f R1 with L and a parallel combination of R2 with C."}}{COM_R 71 
0{TEXT 1 0 ""}}{INP_R 74 0 "> "{TEXT 0 25 "draw([V, R1&+L, R2&//C
]);"}}{OUT_R 77 0 74{TEXT 2 1 "\012"}}}{SCP_R 79 0 7{COM_R 81 0
{TEXT 1 76 "_____________________________________________________
_______________________"}}{COM_R 84 0{TEXT 1 15 "Ladder Elements"
}}{COM_R 87 0{TEXT 1 0 ""}}{COM_R 90 0{TEXT 1 275 "Ladder network
s may contain elements which are ladder networks, however, they m
ust be horizontal elements within the ladder they are contained. \+
Ladders may be combined in series and in parallel with other elem
ents. The following example shows two ladder networks in parallel
."}}{COM_R 93 0{TEXT 1 0 ""}}{INP_R 96 0 "> "{TEXT 0 34 "draw([V,
 [R1,L,C]&//[R2,R3], R4]);"}}{OUT_R 99 0 96{TEXT 2 1 "\012"}}}
{SCP_R 101 0 7{COM_R 103 0{TEXT 1 76 "___________________________
_________________________________________________"}}{COM_R 106 0
{TEXT 1 20 "Open Circuit Element"}}{COM_R 109 0{TEXT 1 0 ""}}
{COM_R 112 0{TEXT 1 482 "An open circuit is indicated by the 0 el
ement, this is especially useful when the first element of a ladd
er must be a horizontal element, a 0 in the first position effect
ively makes the second element (which is horizontal) the first el
ement. A 0 element can also be used to disconnect parts of a netw
ork. The following example uses the 0 element to create a tree-li
ke structure (the unconnected wire on the far right hand side is \+
an unfortunate artifact from the drawing algorithm)."}}{COM_R 115
 0{TEXT 1 0 ""}}{INP_R 118 0 "> "{TEXT 0 53 "draw([V, Rs&+&//([R1
,R2,R3,0], [0,R4,R5,0], [C,0])]);"}}{OUT_R 121 0 118{TEXT 2 1 "\0
12"}}}{SCP_R 123 0 9{COM_R 125 0{TEXT 1 76 "_____________________
_______________________________________________________"}}{COM_R 
128 0{TEXT 1 51 "SPICE Listing, Functional Notation, Optional Tit
les"}}{COM_R 131 0{TEXT 1 0 ""}}{COM_R 134 0{TEXT 1 639 "The func
tion spice converts a ladder network to a TEXT structure which is
 a SPICE  listing of the electric network. If an element is not e
xplicitly assigned a value then the name of the element is used a
s the value. Explicit values, control nodes, and initial conditio
ns may be assigned by passing them as parameters using functional
 notation, see ?scheme[syntax] for a detailed description, the fo
llowing example illustrates the basics. The inital condition for \+
C is given in the SPICE listing but does not appear on the schema
tic. Both draw and spice take an optional second argument which b
ecomes the title of the PLOT or SPICE listing."}}{COM_R 137 0
{TEXT 1 0 ""}}{INP_R 140 0 "> "{TEXT 0 78 "ckt := [V, R1(100), R2
(`10K`)&//C(`10uF`, ic=5)&//G(1,2,g)], `Sample Circuit`:"}}{INP_R
 143 0 "> "{TEXT 0 11 "spice(ckt);"}}{INP_R 146 0 "> "{TEXT 0 10 
"draw(ckt);"}}{OUT_R 149 0 146{TEXT 2 1 "\012"}}}{SCP_R 151 0 7
{COM_R 153 0{TEXT 1 76 "_________________________________________
___________________________________"}}{COM_R 156 0{TEXT 1 19 "Ren
aming Convention"}}{COM_R 159 0{TEXT 1 0 ""}}{COM_R 162 0{TEXT 1 
214 "Syrup requires that elements have unique names. Scheme renam
es elements with names identical to previous elements by appendin
g an integer separated by an underscore.  The value of a renamed \+
element does not change."}}{COM_R 165 0{TEXT 1 0 ""}}{INP_R 168 0
 "> "{TEXT 0 31 "draw([V, V, R(10), R(100), R]);"}}{OUT_R 171 0 
168{TEXT 2 1 "\012"}}}{SCP_R 173 0 9{COM_R 175 0{TEXT 1 76 "_____
_________________________________________________________________
______"}}{COM_R 178 0{TEXT 1 19 "Syrup Compatibility"}}{COM_R 181
 0{TEXT 1 0 ""}}{COM_R 184 0{TEXT 1 87 "The output of the functio
n spice can be passed directly to syrup for symbolic analysis."}}
{COM_R 187 0{TEXT 1 0 ""}}{INP_R 190 0 "> "{TEXT 0 21 "ckt := [V,
R1,R2&//C]:"}}{INP_R 193 0 "> "{TEXT 0 10 "draw(ckt);"}}{INP_R 
196 0 "> "{TEXT 0 22 "syrup(spice(ckt), ac);"}}{OUT_R 199 8192 
196{DAG %2,3=3n3\`v1`n3\`V`=3n3\`v2`*7n3\`R2`j2x0001p5pD+7pBpD*9n
3\`C`pDn3\`s`pDn3\`R1`pDpBpDpDp1BpDi2x0001}}}{SCP_R 201 0 10
{COM_R 203 0{TEXT 1 76 "_________________________________________
___________________________________"}}{COM_R 206 0{TEXT 1 17 "Whe
atstone Bridge"}}{COM_R 209 0{TEXT 1 0 ""}}{COM_R 212 0{TEXT 1 
194 "The Wheatstone bridge has been used [1] to demonstrate the a
bility of Maple to solve electric networks. The following analysi
s determines the value of R4 which makes the current through R5 z
ero."}}{COM_R 215 0{TEXT 1 0 ""}}{INP_R 218 0 "> "{TEXT 0 53 "ckt
 := [R2,R5&//[0,R1,V,R3],R4], `Wheatstone Bridge`:"}}{INP_R 221 0
 "> "{TEXT 0 10 "draw(ckt);"}}{INP_R 224 0 "> "{TEXT 0 30 "syrup(
spice(ckt), dc, 'curr'):"}}{INP_R 227 0 "> "{TEXT 0 27 "solve(sub
s(curr, iR5), R4);"}}{OUT_R 230 8192 227{DAG *7n3\`R3`j2x0001n3\`
R2`p3n3\`R1`i2x0001}}}{SCP_R 232 0 4{COM_R 234 0{TEXT 1 76 "_____
_________________________________________________________________
______"}}{COM_R 237 0{TEXT 1 10 "References"}}{COM_R 240 0{TEXT 1
 0 ""}}{COM_R 243 0{TEXT 1 135 "[1] T.C. Scott and M. Monagan: Ma
ple in Education - Part II, Maple Technical Newsletter, MTN-1,1: \+
pp. 71-72, (Spring 1994), Birkhauser."}}}{SCP_R 245 0 1{INP_R 247
 0 "> "{TEXT 0 0 ""}}}}{END}

